package core.engine.terrain;

import core.engine.Loader;
import core.engine.model.RawModel;
import core.engine.textures.ModelTexture;

import java.util.ArrayList;
import java.util.List;

public class Terrain {

    private List<TerrainTile> terrainTiles = new ArrayList<>();

    public Terrain(Loader loader, ModelTexture modelTexture) {
        for(int i=0; i<32; i++) {
            for(int j=0; j<32; j++) {
                terrainTiles.add(new TerrainTile(i, j, loader, modelTexture));
            }
        }
    }

    public List<TerrainTile> getTerrainTiles() {
        return terrainTiles;
    }
}
